com.smartgwt.client.types

## Enum ZoomStartPosition

- java.lang.Object
- - java.lang.Enum<ZoomStartPosition>
  - - com.smartgwt.client.types.ZoomStartPosition

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ZoomStartPosition>

      public enum ZoomStartPosition
      extends java.lang.Enum<ZoomStartPosition>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `END` start at the end of the range
    `START` start at the beginning of the range

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ZoomStartPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ZoomStartPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### START

          public static final ZoomStartPosition START

      start at the beginning of the range

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "start".

    - #### END

          public static final ZoomStartPosition END

      start at the end of the range

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "end".

  - ### Method Detail

    - #### values

          public static ZoomStartPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZoomStartPosition c : ZoomStartPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZoomStartPosition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`